Subject: Re: [PATCH RFC net-next 03/12] net: dsa: replace phylink_get_interfaces() with phylink_get_caps()

From: "Russell King (Oracle)" <[email-masked]>
Date: Wed, 24 Nov 2021 18:26:48 +0000

On Wed, Nov 24, 2021 at 06:15:08PM +0000, Vladimir Oltean wrote:
> On Wed, Nov 24, 2021 at 05:52:38PM +0000, Russell King (Oracle) wrote:
> > Phylink needs slightly more information than phylink_get_interfaces()
> > allows us to get from the DSA drivers - we need the MAC capabilities.
> > Replace the phylink_get_interfaces() method with phylink_get_caps() to
> > allow DSA drivers to fill in the phylink_config MAC capabilities field
> > as well.
> > 
> > Signed-off-by: Russell King (Oracle) <[email-masked]>
> > ---
> 
> The effects of submitting new API without any user :)

It had users at the time, but they were not submitted, and the addition
of MAC capabilities was a future development. Had they been submitted at
the time, then they would have required updating too.

So that's entirely irrelevent.

-- 
RMK's Patch system: https://www.armlinux.org.uk/developer/patches/
FTTP is here! 40Mbps down 10Mbps up. Decent connectivity at last!